import request from '@/utils/request'
	
/**
 * @Descripttion: 客户收货地址Api接口
 * @version: (1.0)
 * @Author: (admin)
 * @Date: (2023-06-05)
 * @LastEditors: (admin)
 * @LastEditTime: (2023-06-05)
*/

// 客户收货地址分页查询列表
export function customerAddressList(query) {
  return request({
    url: '/business/CustomerAddress/getCustomerAddressList',
    method: 'get',
    params: query
  })
}

// 客户收货地址新增或修改
export function addOrUpdateCustomerAddress(data) {
  return request({
    url: '/business/CustomerAddress/addOrUpdateCustomerAddress',
    method: 'post',
    data: data,
  })
}

// 客户收货地址删除
export function delCustomerAddress(ids) {
  return request({
    url: '/business/CustomerAddress/'+ ids,
    method: 'delete'
  })
}

// 客户收货地址导出
export function exportCustomerAddress(query) {
  return request({
    url: 'business/CustomerAddress/exportCustomerAddress',
    method: 'get',
    params: query
  })
}

